//
//  IdentityDocumentsValidationResultView.swift
//  AlloVoisinsSwiftUI
//
//  Created by Victor on 01/07/2025.
//

import SwiftUI

struct IdentityDocumentsValidationResultView: View {
    var body: some View {
        VStack(spacing: 32) {
            HStack {
                SQProgressIndicator(.constant(true))
                SQProgressIndicator(.constant(false))
                SQProgressIndicator(.constant(false))
            }
            if true {
                VStack(spacing: 32) {
                    VStack(spacing: 16) {
                        SQIcon(.xmark, customSize: 60, color: .sqSemanticRed)
                        SQText("Votre identité n’a pas été validée.")
                            .sqSize(20)
                            .sqFont(.semiBold)
                    }
                    VStack(alignment: .leading, spacing: 8) {
                        SQText("Assurez-vous que :")
                            .sqSize(18)
                            .sqFont(.bold)
                        HStack(alignment: .top) {
                            SQText("1.")
                            SQText("Le document est valable et en cours de validité.")
                        }
                        HStack(alignment: .top) {
                            SQText("2.")
                            SQText("Les informations renseignées sur le document transmis sont strictement identiques aux informations indiquées sur votre compte AlloVoisins.")
                        }
                        HStack(alignment: .top) {
                            SQText("3.")
                            SQText("Vous avez plus de 18 ans.")
                        }
                        HStack(alignment: .top) {
                            SQText("4.")
                            SQText("Le document vous appartient.")
                        }
                    }
                }
            }  else {
                Spacer()
                VStack(spacing: 16) {
                    SQIcon(.check, customSize: 60, color: .sqSemanticGreen)
                    SQText("Votre identité a été vérifiée.")
                        .sqSize(20)
                        .sqFont(.semiBold)
                }
            }
            Spacer()
            if true {
                SQButton("Recommencer") {

                }
            } else {
                SQButton("Terminer") {

                }
            }
        }
        .padding(.horizontal)
    }
}

#Preview {
    IdentityDocumentsValidationResultView()
}
